normRepLoess {maigesPack} | R Documentation

## Bootstrap of LOWESS normalisation

### Description

This function normalises a microarray object re-doing the LOWESS fitting several times, selecting a pre-specified proportion of points aleatorily.

### Usage

    normRepLoess(raw, span=0.4, propLoess=0.5, nRep=50, func="none",
                 bkgSub="none", ...)

### Arguments

`raw` | an object of class `maigesRaw` to be normalised.
`span` | real number in (0,1) representing the proportion of points to use in the loess regression.
`propLoess` | real number in (0,1) representing the proportion of points (spots) to be used in each iteration of loess.
`nRep` | number of repetitions for loess procedure.
`func` | character string giving the function to estimate the final W value. You must use 'mean', 'median' or 'none' (default).
`bkgSub` | character with background subtraction method, using the function `backgroundcorrect` from limma package.
`...` | additional parameters for function `loessFit` from limma package.

### Details

The LOWESS fitting for normalising microarray data is a computational intensive task, so pay attention to not specify a very large argument in `nRep`. If you do so, your process will take so much time to conclude.

### Value

The result of this function is an object of class `maiges`.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`loessFit`.

### Examples

    ## Loading the dataset
    data(gastro)

    ## Doing the repetition loess with default parameters. Be carefull, this
    ## is very time consuming
    ## Not run:
    gastro.norm = normRepLoess(gastro.raw2)
    ## End(Not run)

    ## Do the same normalization selecting 60% dos spots with 10
    ## repetitions and estimating the W by the mean value.
    ## Not run:
    gastro.norm = normRepLoess(gastro.raw2, propLoess=0.6, nRep=10, func="mean")
    ## End(Not run)

[Package maigesPack version 1.4.0 Index]